#include <iostream>
#include <vector>

using namespace std;

int main()
{
    int n;
    cin>>n;
    vector<int> a(n);
    int i;
    for(i=0;i<n;i++){
        cin>>a[i];
    }
    vector<int> sufiks(n+1);
    sufiks[n]=0;
    for(i=n-1;i>=0;i--){
        if(sufiks[i+1]>a[i]){
            sufiks[i]=sufiks[i+1];
        }
        else{
            sufiks[i]=a[i];
        }
    }
    int maxx=0;
    for(i=0;i<n;i++){
        if(sufiks[i]-a[i]>maxx){
            maxx=sufiks[i]-a[i];
        }
    }
    cout<<maxx<<endl;
    return 0;
}
